Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemLockObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.LockObject
                          oracle.ifs.beans.TieLockObject
                              oracle.ifs.beans.SystemLockObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieSystemLockObject

    public class SystemLockObject

extends TieLockObject

A SystemLockObject encapsulates a system lock object.

This LockObject subclass is unique by name and can only be created by administrators. They can be queried by name through its collection on LibrarySession.

Out of the box, the repository will provide two instances of this class "SystemHardLock" and "SystemSoftLock" to represent a hard and soft lock respectively. For the details on HardLock and SoftLock state, refer to the documentation for the LockObject class. These objects can be queried by name from the domain property bundle. The names of the properties are defined as static constants in LibraryConstants.java.

To obtain a hard or soft lock on a PublicObject, use the `po.lock(LockObject lo)` method passing in the SystemSoftLock or SystemHardLock object as a parameter. Since this is a systemobject, it can only be updated and created by Administrators.

See Also:
  `LockObject`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `NAME_ATTRIBUTE` A system-set attribute used to ensure each SystemLockObject has a unique name.

Fields inherited from class oracle.ifs.beans.LockObject
`LOCKEDFORSESSION_ATTRIBUTE, LOCKENTRY_ATTRIBUTE, LOCKHOLDER_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, LOCKTIMEOUT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SystemLockObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a SystemLockObject object - standard variant.

Method Summary
`static SystemLockObject[]` | `findAll(LibrarySession session)` Returns the set of defined SystemLockObjects.
`static SystemLockObject` | `findByName(LibrarySession session, java.lang.String name)` Returns the a SystemLockObject matching the specified name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find SystemLockObject instances by name.
`LockObject` | `getShareableLockObject()` Returns a LockObject that can be used to lock another PublicObject.
`boolean` | `hasNameAttribute()` Override to return true, indicating that this class has a NAME attribute.
`void` | `setLockHolder(DirectoryUser du)` set the lockholder.

Methods inherited from class oracle.ifs.beans.LockObject
`createEquivalentLockEntry, getClonedLockObject, getExpiredTimedLocks, getLockedForSession, getLockEntry, getLockHolder, getLockState, getLockStateLabel, getLockTimeOut, getReferringPublicObjects, getReferringPublicObjects, getShareableLockObject, isLockedForSession, isLockedForSessionByCurrentSession, isShared, release, setLockState, setLockTimeOut, toLockStateLabel, toLockStateLabel, toLockStateLabel, toString, vectorToLockObjectArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SystemLockObject`
  This class name for this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `SystemLockObject`
  A system-set attribute used to ensure each SystemLockObject has a unique name.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SystemLockObject

    protected SystemLockObject(LibrarySession session,
                               java.lang.Long id,
                               java.lang.Long classId,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs a SystemLockObject object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `SystemLockObject`
  Override to return true, indicating that this class has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setLockHolder

    public void setLockHolder(DirectoryUser du)
                       throws IfsException

  Description copied from class: `SystemLockObject`
  set the lockholder. Valid only for SystemLockObject that is in UserLock state.

  Parameters:
    `du` - the lockholder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getShareableLockObject

    public LockObject getShareableLockObject()
                                      throws IfsException

  Description copied from class: `SystemLockObject`
  Returns a LockObject that can be used to lock another PublicObject.

  Creates a clone of the target object unless it is a SystemLockObject, or if it is not yet assocated with any PublicObject.

  Returns:
    the LockObject that can be applied to a PublicObject
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `SystemLockObject`
  Returns the LibraryObjectLookupCache used by find SystemLockObject instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static SystemLockObject[] findAll(LibrarySession session)
                                      throws IfsException

  Description copied from class: `SystemLockObject`
  Returns the set of defined SystemLockObjects.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of SystemLockObjects; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static SystemLockObject findByName(LibrarySession session,
                                              java.lang.String name)
                                       throws IfsException

  Description copied from class: `SystemLockObject`
  Returns the a SystemLockObject matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the SystemLockObject name
  Returns:
    the SystemLockObject matching the specified name; or null if there exists no matching SystemLockObject
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD